[Box Backup-commit] COMMIT r1200 - in box/trunk/infrastructure: . mingw
boxbackup-dev@fluffy.co.uk
boxbackup-dev@fluffy.co.uk
Thu, 14 Dec 2006 22:37:55 +0000
Author: chris
Date: 2006-12-14 22:37:55 +0000 (Thu, 14 Dec 2006)
New Revision: 1200
Added:
box/trunk/infrastructure/mingw/
box/trunk/infrastructure/mingw/configure.sh
Removed:
box/trunk/infrastructure/mingw/configure.sh
Log:
Created directory for mingw compile utilities, added configure script.
Copied: box/trunk/infrastructure/mingw (from rev 1013, box/chris/merge/infrastructure/mingw)
Deleted: box/trunk/infrastructure/mingw/configure.sh
===================================================================
--- box/chris/merge/infrastructure/mingw/configure.sh 2006-10-13 22:57:55 UTC (rev 1013)
+++ box/trunk/infrastructure/mingw/configure.sh 2006-12-14 22:37:55 UTC (rev 1200)
@@ -1,36 +0,0 @@
-#!/bin/sh
-
-if [ ! -r "/usr/i686-pc-mingw32/lib/libssl.a" ]; then
- echo "Error: install OpenSSL as instructed by" \
- "docs/backup/mingw_build.txt" >&2
- exit 2
-fi
-
-if [ ! -r "/usr/i686-pc-mingw32/lib/libpcreposix.a" \
- -o ! -r "/usr/i686-pc-mingw32/lib/libpcre.a" \
- -o ! -r "/usr/i686-pc-mingw32/include/regex.h" ]; then
- echo "Error: install PCRE as instructed by" \
- "docs/backup/mingw_build.txt" >&2
- exit 2
-fi
-
-export CXX="g++ -mno-cygwin"
-export LD="g++ -mno-cygwin"
-export CFLAGS="-mno-cygwin -mthreads"
-export CXXFLAGS="-mno-cygwin -mthreads"
-export LDFLAGS="-mno-cygwin -mthreads"
-export LIBS="-lcrypto -lws2_32 -lgdi32"
-
-if [ ! -x "configure" ]; then
- if ! ./bootstrap; then
- echo "Error: bootstrap failed, aborting." >&2
- exit 1
- fi
-fi
-
-if ! ./configure --target=i686-pc-mingw32; then
- echo "Error: configure failed, aborting." >&2
- exit 1
-fi
-
-exit 0
Copied: box/trunk/infrastructure/mingw/configure.sh (from rev 1013, box/chris/merge/infrastructure/mingw/configure.sh)
===================================================================
--- box/trunk/infrastructure/mingw/configure.sh (rev 0)
+++ box/trunk/infrastructure/mingw/configure.sh 2006-12-14 22:37:55 UTC (rev 1200)
@@ -0,0 +1,36 @@
+#!/bin/sh
+
+if [ ! -r "/usr/i686-pc-mingw32/lib/libssl.a" ]; then
+ echo "Error: install OpenSSL as instructed by" \
+ "docs/backup/mingw_build.txt" >&2
+ exit 2
+fi
+
+if [ ! -r "/usr/i686-pc-mingw32/lib/libpcreposix.a" \
+ -o ! -r "/usr/i686-pc-mingw32/lib/libpcre.a" \
+ -o ! -r "/usr/i686-pc-mingw32/include/regex.h" ]; then
+ echo "Error: install PCRE as instructed by" \
+ "docs/backup/mingw_build.txt" >&2
+ exit 2
+fi
+
+export CXX="g++ -mno-cygwin"
+export LD="g++ -mno-cygwin"
+export CFLAGS="-mno-cygwin -mthreads"
+export CXXFLAGS="-mno-cygwin -mthreads"
+export LDFLAGS="-mno-cygwin -mthreads"
+export LIBS="-lcrypto -lws2_32 -lgdi32"
+
+if [ ! -x "configure" ]; then
+ if ! ./bootstrap; then
+ echo "Error: bootstrap failed, aborting." >&2
+ exit 1
+ fi
+fi
+
+if ! ./configure --target=i686-pc-mingw32; then
+ echo "Error: configure failed, aborting." >&2
+ exit 1
+fi
+
+exit 0
Property changes on: box/trunk/infrastructure/mingw/configure.sh
___________________________________________________________________
Name: svn:executable
+ *